Name: open-smtp
Summary: SMTP Relaying Control for qmail
Version: 0.1
Release: 1
Copyright: GPL
Group: Utilities/System
Source: http://www.qcc.sk.ca/~bguenter/distrib/open-smtp/open-smtp-0.1.tar.gz
BuildRoot: /tmp/open-smtp
URL: http://www.qcc.sk.ca/~bguenter/distrib/open-smtp/
Packager: Bruce Guenter <bruce.guenter@qcc.sk.ca>
Requires: checkpassword, qmail = 1.01+patches

%description
This package allows SMTP relaying for any host that authenticates with POP3.

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" prefix=/usr

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/sbin,var/spool/open-smtp}

make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%post
cpfile=/etc/qmail/control/checkpassword
if [ "$1" = 1 ]; then
  if [ -f $cpfile ]; then
    cp=`cat $cpfile`
  else
    cp=/usr/bin/checkpassword
  fi
  echo "$cp /usr/sbin/open-smtp-allow" > $cpfile
  # Install a root crontab entry
  { EDITOR=cat crontab -e 2>/dev/null;
    echo '0-59/5 * * * * /usr/sbin/open-smtp-age' } | crontab -
fi

%preun
cpfile=/etc/qmail/control/checkpassword
if [ "$1" = 0 ]; then
  cp=`sed -e 's| /usr/sbin/open-smtp-allow||' $cpfile`
  echo "$cp" >$cpfile
  # Uninstall the crontab entry
  EDITOR="grep -v ' /usr/sbin/open-smtp-age$'" crontab -e 2>/dev/null | \
    crontab -
  rm -f /var/spool/open-smtp/*
fi

%files
%attr(0755,root,root) /usr/sbin/open-smtp-age
%attr(4711,root,root) /usr/sbin/open-smtp-allow
%attr(-,root,root) %dir /var/spool/open-smtp

